CVC4::DatatypeConstructorIterator Class Reference

`#include <datatype.h>`

## Public Types

typedef const DatatypeConstructor & | value_type

## Public Member Functions

const DatatypeConstructor & | operator* () const
const DatatypeConstructor * | operator-> () const
DatatypeConstructorIterator & | operator++ ()
DatatypeConstructorIterator | operator++ (int)
bool | operator== (const DatatypeConstructorIterator &other) const
bool | operator!= (const DatatypeConstructorIterator &other) const

## Friends

class | Datatype

## Detailed Description

Definition at line 46 of file datatype.h.

## Member Typedef Documentation

## value_type

typedef const DatatypeConstructor& CVC4::DatatypeConstructorIterator::value_type

Definition at line 56 of file datatype.h.

## Member Function Documentation

## operator!=()

bool CVC4::DatatypeConstructorIterator::operator!= | ( | const DatatypeConstructorIterator & | other | ) | const

inline

Definition at line 62 of file datatype.h.

## operator*()

const DatatypeConstructor & CVC4::DatatypeConstructorIterator::operator* | ( |  | ) | const

inline

Definition at line 57 of file datatype.h.

## operator++() [1/2]

DatatypeConstructorIterator & CVC4::DatatypeConstructorIterator::operator++ | ( |  | ) |

inline

Definition at line 59 of file datatype.h.

## operator++() [2/2]

DatatypeConstructorIterator CVC4::DatatypeConstructorIterator::operator++ | ( | int |  | ) |

inline

Definition at line 60 of file datatype.h.

## operator->()

const DatatypeConstructor * CVC4::DatatypeConstructorIterator::operator-> | ( |  | ) | const

inline

Definition at line 58 of file datatype.h.

## operator==()

bool CVC4::DatatypeConstructorIterator::operator== | ( | const DatatypeConstructorIterator & | other | ) | const

inline

Definition at line 61 of file datatype.h.

## Friends And Related Symbol Documentation

## Datatype

friend class Datatype

friend

Definition at line 50 of file datatype.h.

The documentation for this class was generated from the following file:

- src/util/datatype.h